;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;                                                                       ;;
;;;                Centre for Speech Technology Research                  ;;
;;;                     University of Edinburgh, UK                       ;;
;;;                         Copyright (c) 2002                            ;;
;;;                        All Rights Reserved.                           ;;
;;;                                                                       ;;
;;;  Permission is hereby granted, free of charge, to use and distribute  ;;
;;;  this software and its documentation without restriction, including   ;;
;;;  without limitation the rights to use, copy, modify, merge, publish,  ;;
;;;  distribute, sublicense, and/or sell copies of this work, and to      ;;
;;;  permit persons to whom this work is furnished to do so, subject to   ;;
;;;  the following conditions:                                            ;;
;;;   1. The code must retain the above copyright notice, this list of    ;;
;;;      conditions and the following disclaimer.                         ;;
;;;   2. Any modifications must be clearly marked as such.                ;;
;;;   3. Original authors' names are not deleted.                         ;;
;;;   4. The authors' names are not used to endorse or promote products   ;;
;;;      derived from this software without specific prior written        ;;
;;;      permission.                                                      ;;
;;;                                                                       ;;
;;;  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ;;
;;;  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ;;
;;;  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ;;
;;;  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ;;
;;;  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ;;
;;;  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ;;
;;;  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ;;
;;;  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ;;
;;;  THIS SOFTWARE.                                                       ;;
;;;                                                                       ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;                         Author: Rob Clark
;;;                         Date:   July 2002
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Tobi stat model with TG  type/count info.
;; Rob Clark JULY 2002
;;
;; Magicster APML version: If values are updated,
;;                         remember to keep the functions as they are here.

;;;; MODELS:

(set! apml_f2b_f0_lr_start
'(
( Intercept                 163.987122                         )
( pp.lisp_apml_tgtype       -3.175003                     (1)  )
( p.lisp_apml_tgtype        5.033239                      (1)  )
( lisp_apml_tgtype          0.000000                      (1)  )
( n.lisp_apml_tgtype        17.779930                     (1)  )
( nn.lisp_apml_tgtype       13.684537                     (1)  )
( pp.lisp_apml_tgtype       0.000000                      (2)  )
( p.lisp_apml_tgtype        0.000000                      (2)  )
( lisp_apml_tgtype          0.000000                      (2)  )
( n.lisp_apml_tgtype        0.000000                      (2)  )
( nn.lisp_apml_tgtype       0.000000                      (2)  )
( pp.lisp_apml_tgtype       0.000000                      (3)  )
( p.lisp_apml_tgtype        0.000000                      (3)  )
( lisp_apml_tgtype          -9.724482                     (3)  )
( n.lisp_apml_tgtype        0.000000                      (3)  )
( nn.lisp_apml_tgtype       -2.400885                     (3)  )
( pp.lisp_apml_iecount      0.000000                           )
( p.lisp_apml_iecount       -0.448354                          )
( lisp_apml_iecount         0.000000                           )
( n.lisp_apml_iecount       -2.016458                          )
( nn.lisp_apml_iecount      0.000000                           )
( pp.tobi_accent            0.000000                      (H*) )
( p.tobi_accent             11.123896                     (H*) )
( tobi_accent               21.516363                     (H*) )
( n.tobi_accent             -2.598967                     (H*) )
( nn.tobi_accent            -6.530733                     (H*) )
( pp.tobi_accent            0.000000                      (L*) )
( p.tobi_accent             -10                           (L*) )
( tobi_accent               -5                            (L*) )
( n.tobi_accent             -10.679850                    (L*) )
( nn.tobi_accent            -5.656073                     (L*) )
( pp.tobi_accent            5.357739                    (L*+H) )
( p.tobi_accent             60.0                        (L*+H) )
( tobi_accent               -5.0                        (L*+H) )
( n.tobi_accent             0.000000                    (L*+H) )
( nn.tobi_accent            0.000000                    (L*+H) )
( pp.tobi_accent            0.000000                    (L+H*) )
( p.tobi_accent             11.12                       (L+H*) )
( tobi_accent               21.52                       (L+H*) )
( n.tobi_accent             -2.60                       (L+H*) )
( nn.tobi_accent            -6.53                       (L+H*) )
( pp.tobi_endtone           0.000000                    (L-L%) )
( p.tobi_endtone            -0.616370                   (L-L%) )
( tobi_endtone              -13.969335                  (L-L%) )
( n.tobi_endtone            -10.872906                  (L-L%) )
( nn.tobi_endtone           -7.652183                   (L-L%) )
( pp.tobi_endtone           0.758275                    (L-H%) )
( p.tobi_endtone            0.000000                    (L-H%) )
( tobi_endtone              -20.0                       (L-H%) )
( n.tobi_endtone            -11.893468                  (L-H%) )
( nn.tobi_endtone           -7.201180                   (L-H%) )
( pp.tobi_endtone           0.000000                    (H-L%) )
( p.tobi_endtone            0.000000                    (H-L%) )
( tobi_endtone              4.078987                    (H-L%) )
( n.tobi_endtone            -19.346344                  (H-L%) )
( nn.tobi_endtone           -29.361519                  (H-L%) )
( pp.tobi_endtone           0.000000                    (H-H%) )
( p.tobi_endtone            0.000000                    (H-H%) )
( tobi_endtone              0.000000                    (H-H%) )
( n.tobi_endtone            0.000000                    (H-H%) )
( nn.tobi_endtone           0.000000                    (H-H%) )
( pp.tobi_endtone           0.000000                      (L-) )
( p.tobi_endtone            -15.170239                    (L-) )
( tobi_endtone              0.000000                      (L-) )
( n.tobi_endtone            -14.556230                    (L-) )
( nn.tobi_endtone           0.000000                      (L-) )
( pp.tobi_endtone           -13.504578                    (H-) )
( p.tobi_endtone            0.000000                      (H-) )
( tobi_endtone              6.337695                      (H-) )
( n.tobi_endtone            -6.863099                     (H-) )
( nn.tobi_endtone           0.000000                      (H-) )
( pp.syl_break              0.000000                           )
( p.syl_break               0.000000                           )
( syl_break                 0.641718                           )
( n.syl_break               1.353199                           )
( nn.syl_break              1.072367                           )
( pp.stress                 0.000000                           )
( p.stress                  -0.619260                          )
( stress                    2.412112                           )
( n.stress                  0.000000                           )
( nn.stress                 2.547773                           )
( syl_in                    -1.437291                          )
( syl_out                   0.418060                           )
( ssyl_in                   0.000000                           )
( ssyl_out                  0.612460                           )
( asyl_in                   0.000000                           )
( asyl_out                  0.990639                           )
( last_accent               0.000000                           )
( next_accent               -0.370049                          )
( sub_phrases               0.000000                           )
))				 
				 
(set! apml_f2b_f0_lr_mid		 
'(				 
( Intercept                160.247406                            )
( pp.lisp_apml_tgtype     0.000000                          (1)  )
( p.lisp_apml_tgtype      4.586936                          (1)  )
( lisp_apml_tgtype        25.652966                         (1)  )
( n.lisp_apml_tgtype      14.825476                         (1)  )
( nn.lisp_apml_tgtype     12.960469                         (1)  )
( pp.lisp_apml_tgtype     0.000000                          (2)  )
( p.lisp_apml_tgtype      3.486727                          (2)  )
( lisp_apml_tgtype        13.556555                         (2)  )
( n.lisp_apml_tgtype      1.335895                          (2)  )
( nn.lisp_apml_tgtype     0.000000                          (2)  )
( pp.lisp_apml_tgtype     3.298852                          (3)  )
( p.lisp_apml_tgtype      2.572251                          (3)  )
( lisp_apml_tgtype        5.579752                          (3)  )
( n.lisp_apml_tgtype      0.000000                          (3)  )
( nn.lisp_apml_tgtype     0.000000                          (3)  )
( pp.lisp_apml_iecount    0.000000                               )
( p.lisp_apml_iecount     -0.723087                              )
( lisp_apml_iecount       0.000000                               )
( n.lisp_apml_iecount     -2.692158                              )
( nn.lisp_apml_iecount     0.000000                               )
( pp.tobi_accent          0.000000                          (H*) )
( p.tobi_accent           6.049592                          (H*) )
( tobi_accent             20.917419                         (H*) )
( n.tobi_accent           0.000000                          (H*) )
( nn.tobi_accent          -6.480448                         (H*) )
( pp.tobi_accent          0.000000                          (L*) )
( p.tobi_accent           -5.0                              (L*) )
( tobi_accent             -45.0                             (L*) )
( n.tobi_accent           -6.107867                         (L*) )
( nn.tobi_accent          -3.481531                         (L*) )
( pp.tobi_accent          0.000000                        (L*+H) )
( p.tobi_accent           30.0                            (L*+H) )
( tobi_accent             -30.0                           (L*+H) )
( n.tobi_accent           -2.72                           (L*+H) )
( nn.tobi_accent          0.000000                        (L*+H) )
( pp.tobi_accent          0.000000                        (L+H*) )
( p.tobi_accent           6.05                            (L+H*) )
( tobi_accent             20.92                           (L+H*) )
( n.tobi_accent           0.0                             (L+H*) )
( nn.tobi_accent          -6.48                           (L+H*) )
( pp.tobi_endtone         3.623479                        (L-L%) )
( p.tobi_endtone          0.280118                        (L-L%) )
( tobi_endtone            -35.090584                      (L-L%) )
( n.tobi_endtone          -6.993834                       (L-L%) )
( nn.tobi_endtone         -9.154634                       (L-L%) )
( pp.tobi_endtone         1.661621                        (L-H%) )
( p.tobi_endtone          2.244084                        (L-H%) )
( tobi_endtone            0.0                             (L-H%) )
( n.tobi_endtone          0.000000                        (L-H%) )
( nn.tobi_endtone         -6.613237                       (L-H%) )
( pp.tobi_endtone         0.000000                        (H-L%) )
( p.tobi_endtone          0.000000                        (H-L%) )
( tobi_endtone            0.000000                        (H-L%) )
( n.tobi_endtone          -5.441610                       (H-L%) )
( nn.tobi_endtone         -19.156981                      (H-L%) )
( pp.tobi_endtone         0.000000                        (H-H%) )
( p.tobi_endtone          0.000000                        (H-H%) )
( tobi_endtone            0.000000                        (H-H%) )
( n.tobi_endtone          0.000000                        (H-H%) )
( nn.tobi_endtone         32.215141                       (H-H%) )
( pp.tobi_endtone         -3.782508                         (L-) )
( p.tobi_endtone          -15.959820                        (L-) )
( tobi_endtone            -36.724079                        (L-) )
( n.tobi_endtone          -5.108222                         (L-) )
( nn.tobi_endtone         -3.636338                         (L-) )
( pp.tobi_endtone         -13.381256                        (H-) )
( p.tobi_endtone          0.000000                          (H-) )
( tobi_endtone            -2.527024                         (H-) )
( n.tobi_endtone          0.000000                          (H-) )
( nn.tobi_endtone         0.000000                          (H-) )
( pp.syl_break            0.700277                               )
( p.syl_break             -1.624135                              )
( syl_break               0.000000                               )
( n.syl_break             0.143925                               )
( nn.syl_break            0.564041                               )
( pp.stress               -1.955561                              )
( p.stress                0.000000                               )
( stress                  3.138275                               )
( n.stress                1.995152                               )
( nn.stress               2.920809                               )
( syl_in                  -2.531750                              )
( syl_out                 1.010277                               )
( ssyl_in                 2.075106                               )
( ssyl_out                0.000000                               )
( asyl_in                 0.000000                               )
( asyl_out                0.000000                               )
( last_accent             0.000000                               )
( next_accent             0.586902                               )
( sub_phrases             0.000000                               )
))				 

				 
(set! apml_f2b_f0_lr_end		 
'(				 
( Intercept                 165.090088                          )
( pp.lisp_apml_tgtype       -8.091841                      (1)  )
( p.lisp_apml_tgtype        1.533168                       (1)  )
( lisp_apml_tgtype          29.980167                      (1)  )
( n.lisp_apml_tgtype        0.000000                       (1)  )
( nn.lisp_apml_tgtype       9.731172                       (1)  )
( pp.lisp_apml_tgtype       -7.618105                      (2)  )
( p.lisp_apml_tgtype        0.000000                       (2)  )
( lisp_apml_tgtype          20.777796                      (2)  )
( n.lisp_apml_tgtype        0.000000                       (2)  )
( nn.lisp_apml_tgtype       0.000000                       (2)  )
( pp.lisp_apml_tgtype       0.000000                       (3)  )
( p.lisp_apml_tgtype        0.000000                       (3)  )
( lisp_apml_tgtype          13.555010                      (3)  )
( n.lisp_apml_tgtype        -6.217021                      (3)  )
( nn.lisp_apml_tgtype       0.000000                       (3)  )
( pp.lisp_apml_iecount      0.000000                            )
( p.lisp_apml_iecount       -0.842794                           )
( lisp_apml_iecount         -1.089368                           )
( n.lisp_apml_iecount       0.000000                            )
( nn.lisp_apml_iecount      -1.435544                           )
( pp.tobi_accent            1.580724                       (H*) )
( p.tobi_accent             0.000000                       (H*) )
( tobi_accent               7.305727                       (H*) )
( n.tobi_accent             0.000000                       (H*) )
( nn.tobi_accent            0.000000                       (H*) )
( pp.tobi_accent            0.000000                       (L*) )
( p.tobi_accent             0.0                            (L*) )
( tobi_accent               -20.0                          (L*) )
( n.tobi_accent             0.000000                       (L*) )
( nn.tobi_accent            0.000000                       (L*) )
( pp.tobi_accent            0.0                          (L*+H) )
( p.tobi_accent             5.0                          (L*+H) )
( tobi_accent               12.0                         (L*+H) )
( n.tobi_accent            -2.885                        (L*+H) )
( nn.tobi_accent           -1.091                        (L*+H) )
( pp.tobi_accent            1.58                         (L+H*) )
( p.tobi_accent             0.0                          (L+H*) )
( tobi_accent               7.31                         (L+H*) )
( n.tobi_accent             0                            (L+H*) )
( nn.tobi_accent            0                            (L+H*) )
( pp.tobi_endtone           7.883333                     (L-L%) )
( p.tobi_endtone            0.000000                     (L-L%) )
( tobi_endtone              -36.360538                   (L-L%) )
( n.tobi_endtone            -15.365204                   (L-L%) )
( nn.tobi_endtone           -6.476917                    (L-L%) )
( pp.tobi_endtone           7.193615                     (L-H%) )
( p.tobi_endtone            0.000000                     (L-H%) )
( tobi_endtone              40                           (L-H%) )
( n.tobi_endtone            -13.798974                   (L-H%) )
( nn.tobi_endtone           -5.630470                    (L-H%) )
( pp.tobi_endtone           4.865425                     (H-L%) )
( p.tobi_endtone            0.000000                     (H-L%) )
( tobi_endtone              -15.156118                   (H-L%) )
( n.tobi_endtone            0.000000                     (H-L%) )
( nn.tobi_endtone           -9.810675                    (H-L%) )
( pp.tobi_endtone           0.000000                     (H-H%) )
( p.tobi_endtone            0.000000                     (H-H%) )
( tobi_endtone              0.000000                     (H-H%) )
( n.tobi_endtone            0.000000                     (H-H%) )
( nn.tobi_endtone           0.000000                     (H-H%) )
( pp.tobi_endtone           0.000000                       (L-) )
( p.tobi_endtone            -15.170471                     (L-) )
( tobi_endtone              -43.680092                     (L-) )
( n.tobi_endtone            0.000000                       (L-) )
( nn.tobi_endtone           -0.808484                      (L-) )
( pp.tobi_endtone           0.000000                       (H-) )
( p.tobi_endtone            -7.096673                      (H-) )
( tobi_endtone              0.000000                       (H-) )
( n.tobi_endtone            0.000000                       (H-) )
( nn.tobi_endtone           0.000000                       (H-) )
( pp.syl_break              0.000000                            )
( p.syl_break               -0.376472                           )
( syl_break                 -3.107181                           )
( n.syl_break               0.000000                            )
( nn.syl_break              0.633823                            )
( pp.stress                 0.000000                            )
( p.stress                  -1.609253                           )
( stress                    -0.713559                           )
( n.stress                  5.947872                            )
( nn.stress                 1.861903                            )
( syl_in                    -2.161873                           )
( syl_out                   0.948140                            )
( ssyl_in                   2.017494                            )
( ssyl_out                  0.000000                            )
( asyl_in                   -0.291920                           )
( asyl_out                  0.000000                            )
( last_accent               -2.198393                           )
( next_accent               0.000000                            )
( sub_phrases               0.000000                            )
))
